summaryrefslogtreecommitdiffstats
path: root/source/l/mpfr/mpfr.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2011-04-25 13:37:00 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:45:18 +0200
commit75a4a592e5ccda30715f93563d741b83e0dcf39e (patch)
tree502f745607e77a2c4386ad38d818ddcafe81489c /source/l/mpfr/mpfr.SlackBuild
parentb76270bf9e6dd375e495fec92140a79a79415d27 (diff)
downloadcurrent-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.gz
current-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.xz
Slackware 13.37slackware-13.37
Mon Apr 25 13:37:00 UTC 2011 Slackware 13.37 x86_64 stable is released! Thanks to everyone who pitched in on this release: the Slackware team, the folks producing upstream code, and linuxquestions.org for providing a great forum for collaboration and testing. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. As always, thanks to the Slackware community for testing, suggestions, and feedback. :-) Have fun!
Diffstat (limited to 'source/l/mpfr/mpfr.SlackBuild')
-rwxr-xr-xsource/l/mpfr/mpfr.SlackBuild31
1 files changed, 22 insertions, 9 deletions
diff --git a/source/l/mpfr/mpfr.SlackBuild b/source/l/mpfr/mpfr.SlackBuild
index 808cbdacb..a96001cd1 100755
--- a/source/l/mpfr/mpfr.SlackBuild
+++ b/source/l/mpfr/mpfr.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,6 +21,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+PKGNAM=mpfr
VERSION=${VERSION:-$(echo mpfr-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
@@ -67,12 +68,16 @@ rm -rf mpfr-$VERSION
tar xvf $CWD/mpfr-$VERSION.tar.?z* || exit 1
cd mpfr-$VERSION
chown -R root:root .
-for file in $CWD/patches/* ; do
- ( zcat $file 2> /dev/null | patch -p1 --verbose --batch 2> /dev/null || exit 1 )
- if [ ! $? = 0 ]; then
- exit 1
- fi
-done
+
+if [ ! -z "$(ls $CWD/patches/* 2> /dev/null)" ]; then
+ for file in $CWD/patches/* ; do
+ ( zcat $file 2> /dev/null | patch -p1 --verbose --batch 2> /dev/null || exit 1 )
+ if [ ! $? = 0 ]; then
+ exit 1
+ fi
+ done
+fi
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -81,7 +86,7 @@ CFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/mpfr-$VERSION \
--enable-static=yes \
--enable-shared=yes \
- $ARCH-slackware-linux
+ --build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
@@ -97,10 +102,18 @@ gzip -9 $PKG/usr/info/*
mkdir -p $PKG/usr/doc/mpfr-$VERSION
cp -a \
- AUTHORS BUGS COPYING COPYING.LIB FAQ.html INSTALL NEWS README TODO VERSION \
+ AUTHORS BUGS COPYING* FAQ.html INSTALL NEWS README* TODO VERSION \
examples \
$PKG/usr/doc/mpfr-$VERSION
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc